A person's profile: counts, and how you know them
curl --request GET \
--url https://patch.gg/api/v1/people/{username}const options = {method: 'GET'};
fetch('https://patch.gg/api/v1/people/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/people/{username}"
response = requests.get(url)
print(response.text){
"username": "<string>",
"name": "<string>",
"image": "<string>",
"joined_at": "<string>",
"followers": 123,
"following": 123,
"friends": 123,
"viewer": {
"is_me": true,
"following": true,
"friendship": "none"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}People
A person's profile: counts, and how you know them
GET
/
people
/
{username}
A person's profile: counts, and how you know them
curl --request GET \
--url https://patch.gg/api/v1/people/{username}const options = {method: 'GET'};
fetch('https://patch.gg/api/v1/people/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/people/{username}"
response = requests.get(url)
print(response.text){
"username": "<string>",
"name": "<string>",
"image": "<string>",
"joined_at": "<string>",
"followers": 123,
"following": 123,
"friends": 123,
"viewer": {
"is_me": true,
"following": true,
"friendship": "none"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Path Parameters
Required string length:
1 - 64Example:
"mira"